package cn.com.ty.lift.system.homepage.controller;

import cn.com.ty.lift.system.homepage.dao.dto.request.TodoRequest;
import cn.com.ty.lift.system.homepage.service.TodoService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 待办事项
 */
@RestController
@RequestMapping("/home/todo")
public class TodoController {

    @Resource
    private TodoService todoService;

    /**
     * @param
     * @return
     * @description 待办数量
     * @date 2020/2/14 10:55 上午
     */
    @RequestMapping("/todoNum")
    public RestResponse todoNum(TodoRequest todoRequest) {
        return todoService.todoNum(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 获取急修待待办数据
     * @date 2020/2/14 12:20 下午
     */
    @RequestMapping("/emergencyTodo")
    public RestResponse getEmergencyTodo(TodoRequest todoRequest) {
        return todoService.getEmergencyTodo(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 获取维保待办
     * @date 2020/2/14 12:21 下午
     */
    @RequestMapping("/maintenanceTodo")
    public RestResponse getMaintenanceTodo(TodoRequest todoRequest) {
        return todoService.getMaintenanceTodo(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 获取大修待办
     * @date 2020/2/14 12:22 下午
     */
    @RequestMapping("/bigFixTodo")
    public RestResponse getBigFixTodo(TodoRequest todoRequest) {
        return todoService.getBigFixTodo(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 获取年检待办
     * @date 2020/2/14 12:24 下午
     */
    @RequestMapping("/annualInspectionTodo")
    public RestResponse getAnnualInspectionTodo(TodoRequest todoRequest) {
        return todoService.getAnnualInspectionTodo(todoRequest);
    }

}
