package cn.com.ty.lift.system.homepage.dao.mapper;

import cn.com.ty.lift.system.homepage.dao.dto.request.LiftDataRequest;
import cn.com.ty.lift.system.homepage.dao.model.EmergencyRecordDataModel;
import cn.com.ty.lift.system.homepage.dao.model.MtPlanDataModel;
import cn.com.ty.lift.system.homepage.dao.model.MtRecordDataModel;
import cn.com.ty.lift.system.settings.dao.entity.model.MaintenanceCompanyRequest;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2020/2/18
 * @description 公共数据查询
 */
@MyBatisMapper
public interface CommonDataMapper {
    /**
     * @param
     * @return
     * @description 获取维保计划数据
     * @date 2020/2/18 12:01 下午
     */
    List<MtPlanDataModel> getMtPlanData(LiftDataRequest liftDataRequest);

    /**
     * @param
     * @return
     * @description 获取急修记录数据
     * @date 2020/2/18 12:02 下午
     */
    List<EmergencyRecordDataModel> getEmergencyRecordData(LiftDataRequest liftDataRequest);

    /**
     * @param
     * @return
     * @description 获取维保记录数据
     * @date 2020/2/18 2:02 下午
     */
    List<MtRecordDataModel> getMtRecordData(LiftDataRequest liftDataRequest);

    /**
     * @param
     * @return
     * @description 获取公司项目数
     * @date 2020/2/19 12:22 下午
     */
    Map<Long, Long> getMtCompanyIdToProjectNum(MaintenanceCompanyRequest maintenanceCompanyRequest);

    /**
     * @param
     * @return
     * @description 获取公司id -> 维保记录
     * @date 2020/2/19 2:28 下午
     */
    Map<Long, Long> getMtCompanyIdToMtRecord(MaintenanceCompanyRequest maintenanceCompanyRequest);

    /**
     * @param
     * @return
     * @description 获取公司id -> 急修记录
     * @date 2020/2/19 3:07 下午
     */
    Map<Long, Long> getMtCompanyIdToEmergencyRecord(MaintenanceCompanyRequest maintenanceCompanyRequest);
}
