package cn.com.ty.lift.system.homepage.service;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.system.constants.CommonConstants;
import cn.com.ty.lift.system.homepage.dao.dto.request.TodoRequest;
import cn.com.ty.lift.system.homepage.dao.dto.response.AnnualInspectionResponse;
import cn.com.ty.lift.system.homepage.dao.dto.response.BigFixResponse;
import cn.com.ty.lift.system.homepage.dao.dto.response.EmergencyTodoResponse;
import cn.com.ty.lift.system.homepage.dao.dto.response.MaintenanceTodoResponse;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description
 */
@Service
public class TodoService {

    /**
     * @param todoRequest 公司id
     * @return
     * @description 待办数量
     * @date 2020/2/14 10:55 上午
     */
    public RestResponse todoNum(TodoRequest todoRequest) {
        Map<Integer, Long> todoTypeToNum = CommonConstants.TODO_TYPE_TO_NUM;
        //1.设置行政待办事项数量
        //2.设置急修待办数量
        //3.设置维保待办数量
        //4.设置大修待办数量
        //5.设置年检待办数量
        return RestResponse.success(todoTypeToNum, ApiConstants.RESULT_SUCCESS, "获取待办数据成功");
    }

    /**
     * @param
     * @return
     * @description 获取急修待待办数据
     * @date 2020/2/14 12:20 下午
     */
    public RestResponse getEmergencyTodo(TodoRequest todoRequest) {
        List<EmergencyTodoResponse> emergencyTodoResponseList = new ArrayList<>();
        return RestResponse.success(emergencyTodoResponseList, ApiConstants.RESULT_SUCCESS, "获取待办数据成功");
    }

    /**
     * @param
     * @return
     * @description 获取维保待办
     * @date 2020/2/14 12:21 下午
     */
    @RequestMapping("/maintenanceTodo")
    public RestResponse getMaintenanceTodo(TodoRequest todoRequest) {
        List<MaintenanceTodoResponse> maintenanceTodoResponseList = new ArrayList<>();
        return RestResponse.success(maintenanceTodoResponseList, ApiConstants.RESULT_SUCCESS, "获取待办数据成功");
    }

    /**
     * @param
     * @return
     * @description 获取大修待办
     * @date 2020/2/14 12:22 下午
     */
    @RequestMapping("/bigFixTodo")
    public RestResponse getBigFixTodo(TodoRequest todoRequest) {
        List<BigFixResponse> bigFixResponseList = new ArrayList<>();
        return RestResponse.success(bigFixResponseList, ApiConstants.RESULT_SUCCESS, "获取待办数据成功");
    }

    /**
     * @param
     * @return
     * @description 获取年检待办
     * @date 2020/2/14 12:24 下午
     */
    @RequestMapping("/annualInspectionTodo")
    public RestResponse getAnnualInspectionTodo(TodoRequest todoRequest) {
        List<AnnualInspectionResponse> annualInspectionResponseList = new ArrayList<>();
        return RestResponse.success(annualInspectionResponseList, ApiConstants.RESULT_SUCCESS, "获取待办数据成功");
    }
}
